SUSE SLES11 Security Update : microcode_ctl (SUSE-SU-2018:2076-1) (Spectre)

Medium Nessus Plugin ID 111373

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for microcode_ctl fixes the following issues: The Intel
CPU Microcode bundle was updated to the 20180703 release For the
listed CPU chipsets this fixes CVE-2018-3640 (Spectre v3a) and helps
mitigating CVE-2018-3639 (Spectre v4) (bsc#1100147 bsc#1087082
bsc#1087083) More details can be found on:
https://downloadcenter.intel.com/download/27945/Linux-Processor-Microc
ode-D ata-File Following chipsets are fixed in this round: Model
Stepping F-MO-S/PI Old->New

---- updated platforms ------------------------------------ SNB-EP C1
6-2d-6/6d 0000061c->0000061d Xeon E5 SNB-EP C2 6-2d-7/6d
00000713->00000714 Xeon E5 IVT C0 6-3e-4/ed 0000042c->0000042d Xeon E5
v2; Core i7-4960X/4930K/4820K IVT D1 6-3e-7/ed 00000713->00000714 Xeon
E5 v2 HSX-E/EP/4S C0 6-3f-2/6f 0000003c->0000003d Xeon E5 v3 HSX-EX E0
6-3f-4/80 00000011->00000012 Xeon E7 v3 SKX-SP/D/W/X H0 6-55-4/b7
02000043->0200004d Xeon Bronze 31xx, Silver 41xx, Gold 51xx/61xx
Platinum 81xx, D/W-21xx; Core i9-7xxxX BDX-DE A1 6-56-5/10
0e000009->0e00000a Xeon D-15x3N BDX-ML B/M/R0 6-4f-1/ef
0b00002c->0b00002e Xeon E5/E7 v4; Core i7-69xx/68xx

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended
installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch
slessp4-microcode_ctl-13704=1

SUSE Linux Enterprise Server 11-SP3-LTSS:zypper in -t patch
slessp3-microcode_ctl-13704=1

SUSE Linux Enterprise Point of Sale 11-SP3:zypper in -t patch
sleposp3-microcode_ctl-13704=1

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1087082

https://bugzilla.suse.com/show_bug.cgi?id=1087083

https://bugzilla.suse.com/show_bug.cgi?id=1100147

http://www.nessus.org/u?97303a3b

https://www.suse.com/security/cve/CVE-2018-3639/

https://www.suse.com/security/cve/CVE-2018-3640/

http://www.nessus.org/u?56ab3e55

Plugin Details

Severity: Medium

ID: 111373

File Name: suse_SU-2018-2076-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/07/27

Modified: 2018/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.9

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:N/A:N

CVSS v3.0

Base Score: 5.6

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:microcode_ctl, cpe:/o:novell:suse_linux:11

Patch Publication Date: 2018/07/26

Reference Information

CVE: CVE-2018-3639, CVE-2018-3640